Méthodes de sélection

From FreeCAD Documentation
Revision as of 13:14, 16 August 2020 by David69 (talk | contribs) (Created page with "Le troisième clic étend la sélection à son objet conteneur (PartDesign Body, Std Part et autres). Des clics supplémentaires dévelo...")

Présentation

Les Méthodes de sélection dans FreeCAD permettent de choisir des objets dans l'Interface de FreeCAD tels que la vue 3D, la vue en arborescence, la Fenêtre de sélection et d'autres boîtes de dialogue. Certaines méthodes de sélection sont spécifiques à l'atelier et sont documentées dans la documentation particulière de l'atelier.

Vue 3D

Dans la Vue 3D, il existe différentes manières de sélectionner des objets à l'aide du pointeur de la souris.

Sélection simple

La sélection simple avec la souris (par défaut clic gauche) et la présélection (survol) sont décrites dans la page Navigation par la souris.

Clics répétés

Le premier clic sélectionne un sous-élément (sommet, arête ou face) de l'objet sous la souris. Un deuxième clic sélectionne tout l'objet. introduit dans la version 0.18

Le troisième clic étend la sélection à son objet conteneur (PartDesign Body, Std Part et autres). Des clics supplémentaires développent la sélection dans la chaîne de conteneurs. introduit dans la version 0.19

Selection commands

Mouse drag selection to select multiple objects or sub-elements (vertices or faces) is available using Std SelectAll, Std BoxSelection, Part BoxSelection, and Std BoxElementSelection.

The Box selection modes revert to the default Std SelectAll, after any selection. (What does this mean??)

Selection view

The selection view shows the names of the objects being selected, including their full name within an object, for example, Unnamed#Body.Box001.Face17.

It also allows to perform some actions like Std ViewFitSelection, and sending the object to the Python console.

Object export

This should be in the selection view page.

Select any complex object, for example, a PartDesign Body or Std Part, then in the selection view select again the object, and then press Ctrl + C in the keyboard to open the Object selection dialog. This allows copying the selected object together with all or only some of that object's dependency objects. For example, for a Std Part the possible objects to select include the Std Part itself, but also its Origin, its three base axes (XYZ), and its three base planes (XY, YZ, XZ).

After pressing OK, the selected objects are copied into memory, and then can be pasted in the document to duplicate these objects only.

Object selection dialog that is launched from the selection view.

Tree view

In the tree view items can be selected, or deselected, one at a time, by holding the Ctrl key and clicking with the mouse.

A range of items can be selected by clicking on the first item, holding Shift, and clicking on the last item.

Selecting a single item will also show its properties in the property editor.

Double clicking will open any associated task panel containing actions. Make sure to close this task panel before executing another command or switching to any other workbench.

More methods are available by opening the context menu (right-click), depending on the object selected or the active workbench; see the information in tree view.

Scripting

Selecting objects is inherently a graphical task and therefore it is only available when the graphical user interface is loaded.

These commands can be used in macros or from the Python console.

import FreeCADGui as Gui

Gui.Selection.addSelection
Gui.Selection.addSelectionGate
Gui.Selection.Filter

The command addSelectionGate restricts the user from selecting objects not specified in the selection string. A symbol appears when the pointer is over an item not in the specified group.

Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Edge")

See the Source documentation and Std PythonHelp for more help on using these tools.